Openshift module for Play framework 0.1.2 – quickfix release


Consider voting for Play framework native support on Openshift.

We’ve just released the version 0.1.2 of the openshift module.

Openshift jboss cartridge name changed from jboss-7.0 to jboss-7, so the script in charge of creating a new application was giving an error.

This quickfix version solves that issue.

To upgrade your app to the latest version, edit your conf/dependencies.yml file like this:

# Application dependencies

require:
    - play
    - play -> openshift 0.1.2

And then run

play deps

If you want to remove the previous version you can run

play deps --sync

Take into account that the --sync options will remove every file in lib folder that is not managed by the dependencies.yml file.

To remove the previous openshift module version from play installation, just remove the folder at <play install>/modules/openshift-x.x.x, and then run play install openshift to install the latest version on your play framework installation folder.

Good luck and don’t hesitate to report any issue at https://github.com/opensas/openshift.

For more infomation on the usage of openshift module, check this article.

Saludos

Sas

About these ads

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s

Follow

Get every new post delivered to your Inbox.

%d bloggers like this: